OSLC(1)

NAME
oslc - Open Shading Language compiler

SYNOPSIS
oslc [options] file

DESCRIPTION
oslc is a standalone compiler that translates OSL source code into an assembly-like intermediate code (in the form of .oso files).

The language specification of OSL is described in /usr/share/doc/openshadinglanguage-doc/osl-languagespec.pdf.gz. Also, there are some example shaders (.osl files) in a directory /usr/share/OSL/shaders.

OPTIONS

-h, --help
    Show summary of options

-o filename
    Specify output filename

-v  Verbose mode

-q  Quiet mode

-Ipath
    Add path to the #include search path

-Dsym[=val]
    Define preprocessor symbol

-Usym
    Undefine preprocessor symbol

-O0, -O1, -O2
    Set optimization level (default=1)

-d  Debug mode

-E  Only preprocess the input and output to stdout

file
    OSL source file to compile (.osl file)

SEE ALSO
oslinfo(1), testshade(1), testrender(1).

AUTHOR
Open Shading Language was written by Sony Pictures Imageworks, et al.

This manual page was written by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>, for the Debian project (and may be used by others).